# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

Handles the dragging of touch controls around the screen.

- Defined in src/ui/settings/move-touch-controls-handler.ts:27

##### Index

### Constructors

constructor

### Properties

inConfigurationMode

### Methods

disableConfigurationMode
enableConfigurationMode

## Constructors

### constructor

- new default(touchControls: default ): default

  #### Parameters

  - touchControls: default

  #### Returns default

  - Defined in src/ui/settings/move-touch-controls-handler.ts:52

## Properties

### inConfigurationMode

inConfigurationMode: boolean

Whether the user is currently configuring the touch controls. When this is true, the touch controls can be dragged around the screen and the controls of the game are disabled.

- Defined in src/ui/settings/move-touch-controls-handler.ts:35

## Methods

### disableConfigurationMode

- disableConfigurationMode(): void

  Disables the configuration mode.

  #### Returns void

  - Defined in src/ui/settings/move-touch-controls-handler.ts:371

### enableConfigurationMode

- enableConfigurationMode(ui: default ): void

  Allows the user to configure the touch controls by dragging buttons around the screen.

  #### Parameters

  - ui: default

    The UI of the game.

  #### Returns void

  - Defined in src/ui/settings/move-touch-controls-handler.ts:353